org.objenesis.instantiator.basic

## Class AccessibleInstantiator<T>

- java.lang.Object
- - org.objenesis.instantiator.basic.ConstructorInstantiator<T>
  - - org.objenesis.instantiator.basic.AccessibleInstantiator<T>

- All Implemented Interfaces:
    ObjectInstantiator<T>

      public class AccessibleInstantiator<T>
      extends ConstructorInstantiator<T>

  Instantiates a class by grabbing the no-args constructor, making it accessible and then calling Constructor.newInstance(). Although this still requires no-arg constructors, it can call non-public constructors (if the security manager allows it).
  See Also:
    `ObjectInstantiator`

- - ### Field Summary

    - ### Fields inherited from class org.objenesis.instantiator.basic.ConstructorInstantiator

      `constructor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessibleInstantiator(java.lang.Class<T> type)`

  - ### Method Summary

    - ### Methods inherited from class org.objenesis.instantiator.basic.ConstructorInstantiator

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessibleInstantiator

          public AccessibleInstantiator(java.lang.Class<T> type)